Subject: bug#50999: 29.0.50; Deleting libraries obsolete since Emacs 24

From: Glenn Morris <[email-masked]>
Date: Sun, 05 Dec 2021 15:55:59 -0500

>> There are many instances of `asort', `aelement', `aput' and `adelete'
>> in the Lisp files commonly shared around my organization, many of which
>> have to work with Emacs 23 and even Emacs 21 (as some of our Emacs users
>> will not move to anything newer).

If it were me, I'd just bundle assoc.el with my code, rather than ask
upstream to distribute it forever.